--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The dataset that retrieved this object, set if the object was reteived via Dataset#all with an active identity map.
  name: retrieved_by
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: All model objects retrieved with this object, set if the object was reteived via Dataset#all with an active identity map.
  name: retrieved_with
  rw: RW
class_methods: []

comment: 
constants: []

full_name: Sequel::Plugins::TacticalEagerLoading::InstanceMethods
includes: []

instance_methods: []

name: InstanceMethods
superclass: 
